package com.quant.entity;

/**
 * CommonSubclass entity. @author MyEclipse Persistence Tools
 */

public class CommonSubclass implements java.io.Serializable {

	// Fields

	/**
	 * 
	 */
	private static final long serialVersionUID = 193506598923045L;
	private Integer id;
	private Integer categoryId;
	private String title;
	private String description;
	private Integer pid;
	private Integer status;
	private Integer subclassId;
	private Integer sortId;

	// Constructors

	/** default constructor */
	public CommonSubclass() {
	}

	/** full constructor */
	public CommonSubclass(Integer categoryId, String title, String description,
			Integer pid, Integer status, Integer subclassId, Integer sortId) {
		this.categoryId = categoryId;
		this.title = title;
		this.description = description;
		this.pid = pid;
		this.status = status;
		this.subclassId = subclassId;
		this.sortId = sortId;
	}

	// Property accessors

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getCategoryId() {
		return this.categoryId;
	}

	public void setCategoryId(Integer categoryId) {
		this.categoryId = categoryId;
	}

	public String getTitle() {
		return this.title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getDescription() {
		return this.description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public Integer getPid() {
		return this.pid;
	}

	public void setPid(Integer pid) {
		this.pid = pid;
	}

	public Integer getStatus() {
		return this.status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public Integer getSubclassId() {
		return this.subclassId;
	}

	public void setSubclassId(Integer subclassId) {
		this.subclassId = subclassId;
	}

	public Integer getSortId() {
		return this.sortId;
	}

	public void setSortId(Integer sortId) {
		this.sortId = sortId;
	}

}